// kafka-connector options: START
[[camel-azure-blob-kafka-connector-source]]
= camel-azure-blob-kafka-connector source configuration

When using camel-azure-blob-kafka-connector as source make sure to use the following Maven dependency to have support for the connector:

[source,xml]
----
<dependency>
  <groupId>org.apache.camel.kafkaconnector</groupId>
  <artifactId>camel-azure-blob-kafka-connector</artifactId>
  <version>x.x.x</version>
  <!-- use the same version as your Camel Kafka connector version -->
</dependency>
----

To use this Source connector in Kafka connect you'll need to set the following connector.class

[source,java]
----
connector.class=org.apache.camel.kafkaconnector.azureblob.CamelAzureblobSourceConnector
----


The camel-azure-blob source connector supports 33 options, which are listed below.



[width="100%",cols="2,5,^1,1,1",options="header"]
|===
| Name | Description | Default | Required | Priority
| *camel.source.path.containerOrBlobUri* | Container or Blob compact Uri | null | true | HIGH
| *camel.source.endpoint.azureBlobClient* | The blob service client | null | false | MEDIUM
| *camel.source.endpoint.blobOffset* | Set the blob offset for the upload or download operations, default is 0 | "0" | false | MEDIUM
| *camel.source.endpoint.blobType* | Set a blob type, 'blockblob' is default One of: [blockblob] [appendblob] [pageblob] | "blockblob" | false | MEDIUM
| *camel.source.endpoint.closeStreamAfterRead* | Close the stream after read or keep it open, default is true | true | false | MEDIUM
| *camel.source.endpoint.credentials* | Set the storage credentials, required in most cases | null | false | MEDIUM
| *camel.source.endpoint.dataLength* | Set the data length for the download or page blob upload operations | null | false | MEDIUM
| *camel.source.endpoint.fileDir* | Set the file directory where the downloaded blobs will be saved to | null | false | MEDIUM
| *camel.source.endpoint.publicForRead* | Storage resources can be public for reading their content, if this property is enabled then the credentials do not have to be set | false | false | MEDIUM
| *camel.source.endpoint.streamReadSize* | Set the minimum read size in bytes when reading the blob content | null | false | MEDIUM
| *camel.source.endpoint.validateClientURI* | Whether to validate the Azure client URI | true | false | MEDIUM
| *camel.source.endpoint.bridgeErrorHandler* | Allows for bridging the consumer to the Camel routing Error Handler, which mean any exceptions occurred while the consumer is trying to pickup incoming messages, or the likes, will now be processed as a message and handled by the routing Error Handler. By default the consumer will use the org.apache.camel.spi.ExceptionHandler to deal with exceptions, that will be logged at WARN or ERROR level and ignored. | false | false | MEDIUM
| *camel.source.endpoint.exceptionHandler* | To let the consumer use a custom ExceptionHandler. Notice if the option bridgeErrorHandler is enabled then this option is not in use. By default the consumer will deal with exceptions, that will be logged at WARN or ERROR level and ignored. | null | false | MEDIUM
| *camel.source.endpoint.exchangePattern* | Sets the exchange pattern when the consumer creates an exchange. One of: [InOnly] [InOut] [InOptionalOut] | null | false | MEDIUM
| *camel.source.endpoint.basicPropertyBinding* | Whether the endpoint should use basic property binding (Camel 2.x) or the newer property binding with additional capabilities | false | false | MEDIUM
| *camel.source.endpoint.synchronous* | Sets whether synchronous processing should be strictly used, or Camel is allowed to use asynchronous processing (if supported). | false | false | MEDIUM
| *camel.source.endpoint.credentialsAccountKey* | Set the storage account key used during authentication phase | null | false | MEDIUM
| *camel.source.endpoint.credentialsAccountName* | Set the storage account name used during authentication phase | null | false | MEDIUM
| *camel.component.azure-blob.azureBlobClient* | The blob service client | null | false | MEDIUM
| *camel.component.azure-blob.blobOffset* | Set the blob offset for the upload or download operations, default is 0 | "0" | false | MEDIUM
| *camel.component.azure-blob.blobType* | Set a blob type, 'blockblob' is default One of: [blockblob] [appendblob] [pageblob] | "blockblob" | false | MEDIUM
| *camel.component.azure-blob.closeStreamAfterRead* | Close the stream after read or keep it open, default is true | true | false | MEDIUM
| *camel.component.azure-blob.credentials* | Set the storage credentials, required in most cases | null | false | MEDIUM
| *camel.component.azure-blob.dataLength* | Set the data length for the download or page blob upload operations | null | false | MEDIUM
| *camel.component.azure-blob.fileDir* | Set the file directory where the downloaded blobs will be saved to | null | false | MEDIUM
| *camel.component.azure-blob.publicForRead* | Storage resources can be public for reading their content, if this property is enabled then the credentials do not have to be set | false | false | MEDIUM
| *camel.component.azure-blob.streamReadSize* | Set the minimum read size in bytes when reading the blob content | null | false | MEDIUM
| *camel.component.azure-blob.validateClientURI* | Whether to validate the Azure client URI | true | false | MEDIUM
| *camel.component.azure-blob.bridgeErrorHandler* | Allows for bridging the consumer to the Camel routing Error Handler, which mean any exceptions occurred while the consumer is trying to pickup incoming messages, or the likes, will now be processed as a message and handled by the routing Error Handler. By default the consumer will use the org.apache.camel.spi.ExceptionHandler to deal with exceptions, that will be logged at WARN or ERROR level and ignored. | false | false | MEDIUM
| *camel.component.azure-blob.basicPropertyBinding* | Whether the component should use basic property binding (Camel 2.x) or the newer property binding with additional capabilities | false | false | LOW
| *camel.component.azure-blob.configuration* | The Blob Service configuration | null | false | MEDIUM
| *camel.component.azure-blob.credentialsAccountKey* | Set the storage account key used during authentication phase | null | false | MEDIUM
| *camel.component.azure-blob.credentialsAccountName* | Set the storage account name used during authentication phase | null | false | MEDIUM
|===



The camel-azure-blob sink connector has no converters out of the box.





The camel-azure-blob sink connector has no transforms out of the box.





The camel-azure-blob sink connector has no aggregation strategies out of the box.
// kafka-connector options: END
